top of page

Plant Fetish on MacOS

Did you know the Plant Fetish app is available on Mac*?

*Requires macOS 11.0 or later and a Mac with Apple M1 chip or later.



1 comment

Recent Posts

See All
bottom of page